Index: graph_displayer_canvas-event.cc
===================================================================
--- graph_displayer_canvas-event.cc	(revision 28)
+++ graph_displayer_canvas-event.cc	(revision 30)
@@ -21,5 +21,5 @@
 	generated->type=GDK_BUTTON_RELEASE;
 	generated->button.button=3;
-	create_edge_event_handler(generated);      
+	createEdgeEventHandler(generated);      
     }
 
@@ -29,18 +29,18 @@
     {
     case MOVE:
-      actual_handler=displayed_graph.signal_event().connect(sigc::mem_fun(*this, &GraphDisplayerCanvas::move_event_handler), false);
+      actual_handler=displayed_graph.signal_event().connect(sigc::mem_fun(*this, &GraphDisplayerCanvas::moveEventHandler), false);
       break;
 
       //it has to assigned to canvas, because all the canvas has to be monitored, not only the elements of the already drawn group
     case CREATE_NODE:
-      actual_handler=signal_event().connect(sigc::mem_fun(*this, &GraphDisplayerCanvas::create_node_event_handler), false);
+      actual_handler=signal_event().connect(sigc::mem_fun(*this, &GraphDisplayerCanvas::createNodeEventHandler), false);
       break;
 
     case CREATE_EDGE:
-      actual_handler=displayed_graph.signal_event().connect(sigc::mem_fun(*this, &GraphDisplayerCanvas::create_edge_event_handler), false);
+      actual_handler=displayed_graph.signal_event().connect(sigc::mem_fun(*this, &GraphDisplayerCanvas::createEdgeEventHandler), false);
       break;
 
     case ERASER:
-      actual_handler=displayed_graph.signal_event().connect(sigc::mem_fun(*this, &GraphDisplayerCanvas::eraser_event_handler), false);
+      actual_handler=displayed_graph.signal_event().connect(sigc::mem_fun(*this, &GraphDisplayerCanvas::eraserEventHandler), false);
       break;
 
@@ -50,10 +50,10 @@
 }
 
-int GraphDisplayerCanvas::get_actual_tool()
+int GraphDisplayerCanvas::getActualTool()
 {
   return actual_tool;
 }
 
-bool GraphDisplayerCanvas::move_event_handler(GdkEvent* e)
+bool GraphDisplayerCanvas::moveEventHandler(GdkEvent* e)
 {
   switch(e->type)
@@ -125,13 +125,13 @@
 	    if(isbutton==3)
 	      {
-		edgesmap[ei]->set_points(coos);
+		edgesmap[ei]->setPoints(coos);
 	      }
 	    else
 	      {
-		edgesmap[ei]->set_points(coos,true);
+		edgesmap[ei]->setPoints(coos,true);
 	      }
 
 	    //reposition of edgetext
-	    xy<double> text_pos=edgesmap[ei]->get_arrow_pos();
+	    xy<double> text_pos=edgesmap[ei]->getArrowPos();
 	    text_pos+=(xy<double>(10,10));
 	    edgetextmap[ei]->property_x().set_value(text_pos.x);
@@ -153,12 +153,12 @@
 	    if(isbutton==3)
 	      {
-		edgesmap[ei]->set_points(coos);
+		edgesmap[ei]->setPoints(coos);
 	      }
 	    else
 	      {
-		edgesmap[ei]->set_points(coos,true);
+		edgesmap[ei]->setPoints(coos,true);
 	      }
 
-	    xy<double> text_pos=edgesmap[ei]->get_arrow_pos();
+	    xy<double> text_pos=edgesmap[ei]->getArrowPos();
 	    text_pos+=(xy<double>(10,10));
 	    edgetextmap[ei]->property_x().set_value(text_pos.x);
@@ -172,5 +172,5 @@
 }
 
-bool GraphDisplayerCanvas::create_node_event_handler(GdkEvent* e)
+bool GraphDisplayerCanvas::createNodeEventHandler(GdkEvent* e)
 {
   switch(e->type)
@@ -197,5 +197,5 @@
       nodetextmap[active_node]->property_fill_color().set_value("darkblue");
 
-      mapwin->update_node(active_node);
+      mapwin->updateNode(active_node);
 
       break;
@@ -210,5 +210,5 @@
 	generated->motion.y=world_motion_y;
 	generated->type=GDK_MOTION_NOTIFY;
-	move_event_handler(generated);      
+	moveEventHandler(generated);      
 	break;
       }
@@ -228,5 +228,5 @@
 }
 
-bool GraphDisplayerCanvas::create_edge_event_handler(GdkEvent* e)
+bool GraphDisplayerCanvas::createEdgeEventHandler(GdkEvent* e)
 {
   switch(e->type)
@@ -290,5 +290,5 @@
 
 		      //initiating values corresponding to new edge in maps
-		      mapstorage.init_maps_for_edge(active_edge);
+		      mapstorage.initMapsForEdge(active_edge);
 	  
 		      //calculating coordinates of new edge
@@ -312,5 +312,5 @@
 
 		      //initializing edge-text as well, to empty string
-		      xy<double> text_pos=edgesmap[active_edge]->get_arrow_pos();
+		      xy<double> text_pos=edgesmap[active_edge]->getArrowPos();
 		      text_pos+=(xy<double>(10,10));
 
@@ -319,5 +319,5 @@
 
 		      //updating its properties
-		      mapwin->update_edge(active_edge);
+		      mapwin->updateEdge(active_edge);
 		    }
 		  else
@@ -362,5 +362,5 @@
 }
 
-bool GraphDisplayerCanvas::eraser_event_handler(GdkEvent* e)
+bool GraphDisplayerCanvas::eraserEventHandler(GdkEvent* e)
 {
   switch(e->type)
@@ -415,12 +415,12 @@
 	      for(std::set<Graph::Edge>::iterator edge_set_it=edges_to_delete.begin();edge_set_it!=edges_to_delete.end();edge_set_it++)
 		{
-		  delete_item(*edge_set_it);
-		}
-	      delete_item(active_node);
+		  deleteItem(*edge_set_it);
+		}
+	      deleteItem(active_node);
 	    }
 	  //a simple edge was chosen
 	  else
 	    {
-	      delete_item(active_edge);
+	      deleteItem(active_edge);
 	    }
 
@@ -454,5 +454,5 @@
 }
 
-void GraphDisplayerCanvas::delete_item(NodeIt node_to_delete)
+void GraphDisplayerCanvas::deleteItem(NodeIt node_to_delete)
 {
   delete(nodetextmap[node_to_delete]);
@@ -461,5 +461,5 @@
 }
 
-void GraphDisplayerCanvas::delete_item(EdgeIt edge_to_delete)
+void GraphDisplayerCanvas::deleteItem(EdgeIt edge_to_delete)
 {
   delete(edgetextmap[edge_to_delete]);
@@ -468,5 +468,5 @@
 }
 
-void GraphDisplayerCanvas::delete_item(Graph::Edge edge_to_delete)
+void GraphDisplayerCanvas::deleteItem(Graph::Edge edge_to_delete)
 {
   delete(edgetextmap[edge_to_delete]);
@@ -475,5 +475,5 @@
 }
 
-void GraphDisplayerCanvas::text_reposition(xy<double> new_place)
+void GraphDisplayerCanvas::textReposition(xy<double> new_place)
 {
   new_place+=(xy<double>(10,10));
@@ -482,5 +482,5 @@
 }
 
-void GraphDisplayerCanvas::toggle_edge_activity(BrokenEdge* active_bre, bool on)
+void GraphDisplayerCanvas::toggleEdgeActivity(BrokenEdge* active_bre, bool on)
 {
   if(on)
